<?php
/**************************************************
  CPG Photo Shop Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.19
  Photo Shop version: 1.4.0
  $Revision: 1.0 $
  $Author: stramm $
	$Trad fr : Stéphane HUC - <consult@stephane-huc.net>
***************************************************/
if (!defined('IN_COPPERMINE'))
{
	die('Pas dans Coppermine...');
}


if (defined('PHOTOSHOP_ORDER_PHP'))
{
$lang_photoshop_email_order = <<<EOT
Bonjour {USER_NAME},

Merci de votre paiement sur le site {SITE_NAME} ayant le numéro de commande {ORDER_ID}.
SVP, Transférez {PRICE} Euro aussi vite que possible.
Un peu plus de 'yadda' ici ... vous pouvez changer cela dans le répertoire du plugin 'plugins/photo_shop/lang/english.php'
<a href="{LINK}">{LINK}</a>

{ADMIN}
EOT;


$lang_photoshop_email_admin = <<<EOT
Bonjour {ADMIN},

{USER_NAME} avec l'adresse courriel {USER_EMAIL} vient juste de faire un paiement sur votre site {SITE_NAME}. L'id de la commande est le {ORDER_ID}, sa valeur totale est de {PRICE}.
<a href="{LINK}index.php?file=photo_shop/photo_shop_admin">Cliquez pour aller dans la gestion des commandes.</a>

Other placeholders you can use (blank if these user profile fiels haven't been filled in):
user_profile1: {USER_PROFILE1}
user_profile2: {USER_PROFILE2}
user_profile3: {USER_PROFILE3}
user_profile4: {USER_PROFILE4}
user_profile5: {USER_PROFILE5}
user_profile6: {USER_PROFILE6}

Cordialement,
{ADMIN}
EOT;

$lang_photoshop_email_attach_header = <<<EOT


Ici nous pouvons avoir l'entête de message, telle qu'une adresse, etc...

Coppermine Sample Gallery
4578 Avenue
New York, NY 10001, USA
(718) 111-1234

EOT;
}

$lang_photoshop_register = array(
  'already_member' => 'Déjà membre',
);



$lang_photoshop_config = array(
  'save_cfg' => 'Sauvegarder la nouvelle configuration',
  'new_item' => 'Créer un nouvel article',
  'title' => 'Configuration de la boutique',
  'type' => 'Type',
  'price' => 'Prix',
  'name' => 'Description',
  'max_items' => "Maximum d'articles sur un CD",
  'priority' => 'Priorité',
  //new 1.3
  'update_alb' => "Mettre à jour l'album",
  'reset_alb' => "Réinitialiser l'album",
  'select_alb' => '&nbsp;&nbsp; ** Choisissez un album ** ',
  //new 1.3.5
  'ship_item' => 'Expédition',
  'order' => 'Commande',
  //new 1.3.6
  'shop_enabled' => 'Boutique chargée pour cet album',
  'all_albs' => 'Définir les prix pour tous les albums dans la (sous)catégorie de cet album',
  'per_alb_settings' => 'Configuration par album',
  //1.3.6 mod ipn download size
  'size_item' => '(max)L/H',

);

$lang_photoshop = array(
  'type_chckout' => 'Type',
  'item_id_checkout' => "ID de l'article",
  'amount_checkout' => 'Montant',
  'total_checkout' => 'Prix total',
  'admin_title' => 'Boutique', // admin menu button title
  'uninstall' => "Supprimer la table utilisée pour l'enregistrement des données de la boutique ?",
  'buy' => "Ajouter l'image au panier :",
  'send' => 'Ajouter',
  'CD' => 'Ajouter au CD',
  'CD_price' => 'vérifier le panier',
  'added' => 'Article ajouté',
  'cart' => "Panier d'achats",
  'boxcd' =>'Articles sur le CD',
  'boxphoto' =>'Articles à télécharger',
  'go' =>'GO',
  'save_amounts' => 'Sauvegarder les nouveaux montant',
  'empty_basket' => 'Panier vide',
  'each' => 'chaque',
  'title' => 'Titre :',
  'filename' => 'Nom du fichier :',
  'size' => 'Taille :',
  'amount' => 'Montant :',
  'total' => 'Total',
  'pics' => 'images',
  'pricelist' => 'Liste de prix',
  'photos' => 'Photos',
  'cds' => 'CDs',
  'to_many_pics' => "Vous avez trop de photos sur le CD, veuillez en supprimer quelques-unes !",
  'on_cd' => 'Sur le CD',
  'for_print' => 'À télécharger',
  'send_order' => 'Confirmez votre commande',
  'goto_cart_cd' => "<a href=\"index.php?file=photo_shop/photo_shop_cart&box=cd\">Ouvrir le panier d'achats</a>",
  'email_subject_order' => 'Merci pour votre commande',
  'email_subject_order_admin' => 'Vous avez une nouvelle commande',
  'email_sent' => 'Merci pour votre commande.<br> Nous vous avons envoyé un courriel de confirmation !<br> Votre commande sera envoyée dès réception de votre règlement ! <br>',
  'cart_empty' => "Votre panier d'achat est vide.<br> Veuillez ajouter quelques articles !",
  'in_cart' => 'images dans le panier',
  'checkout' => 'Vérification',
  'to_go' => "Vous pouvez ajouter %s images  à votre CD avant de passer au tarif suivant",
  'to_go_full' => 'Le CD est plein pour ce niveau de tarif',
  'to_go_remove' => "Vous avez ajouté trop d'images sur votre CD. Veuillez supprimer %s article(s) !",
  'shipping' => 'Envoi',
  // gateway integration

  'account' => 'Numéro de compte :',
  'routing' => 'Routage ABA :',
  'swift' => 'Swift code :',
  'bank' => 'Banque :',
  'wire' => 'Paiement par virement :',

  'paypal' => 'Paiement Paypal :',
  'google' => 'Paiement Google Checkout :',
  'order_id' => 'Numéro de Commande :',

  // discount, invoice
  'discount' => 'Discount',
  'myorders' => 'Mes Commandes',

  //continue button
  'continue' => 'Continuez les achats',

  'free' => 'gratuit',
  'total_incl' => 'Prix incluant %s%% TVA',
  );

if (defined('PHOTOSHOP_ADMIN_PHP'))
{
$lang_photoshop_admin_data = array(
  "Panier Général d'Achats",
  array("Activer le panier d'achat", 'photo_shop_enabled', 1),
  array('Devises à utiliser dans la boutique (eg. USD, EUR, GBP, CAD, JPY)', 'photo_shop_currency', 0),
  array('TVA à utiliser dans la boutique', 'photo_shop_vat', 0),
  array("Activer le téléchargement des photos après l'achat", 'photo_shop_download_enable', 1),
  array("Si les téléchargements sont actifs, envoyer une copie du mot-de-passe à l'administrateur", 'photo_shop_download_passwd_mail', 1),
  array('Si les téléchargements sont actifs, offrir aussi le téléchargement par archive zip', 'photo_shop_download_zip', 1),
  array("Nombre d'heures après lesquelles le répertoire de téléchargement sera automatiquement supprimé (laissez à blanc pour le désactiver)", 'photo_shop_del_download_dir', 0),
  array('Activer le button -Mes Commandes-', 'photo_shop_show_myorders', 1),
  'Support Paypal',
  array('Activer le support de Paypal', 'photo_shop_paypal_enable', 1),
  array('Adresse courriel de votre compte marchant Paypal', 'photo_shop_paypal_email', 0),
  array('Devises à utiliser avec Paypal (USD, EUR, GBP, CAD, JPY)', 'photo_shop_paypal_currency', 0),
  array("URL de l'image -Paiement Paypal-, pour la France : http://www.paypal.com/fr_FR/i/btn/x-click-but01.gif ;-)", 'photo_shop_paypal_image', 0),
  array('URL du formulaire Paypal (Sandbox: https://www.sandbox.paypal.com/cgi-bin/webscr , USA : https://www.paypal.com/cgi-bin/webscr, DE : https://www.paypal.com/de/cgi-bin/webscr)', 'photo_shop_paypal_form_url', 0),
  array("Activer la Notification Instantanée Paypal (IPN)", 'photo_shop_paypal_use_ipn', 1),
  //array('The PayPal PostBack URL', 'paypal_url', 0),
  array("URL SSL du répertoire racine de coppermine, laissez à vide si vous n'utilisez pas SSL (il est primordial d'utiliser SSL pour des raisons de sécurités lorsque la boutique fonctionne ; ne pas oubliez le slash '/' à la fin)", 'photo_shop_paypal_ssl_adress', 0),
  array('Activer le journal additionnel par fichier texte (les journaux MySQL sont toujours actifs)', 'photo_shop_paypal_ipn_log', 1),
  array('Chemin du journal additionnel par fichier test (normalement pas besoin de changer cela)', 'photo_shop_paypal_ipn_logfile', 0),
  array("PayPal notify_url - entrez l'URL sur laquelle vous voudriez recevoir les avis IPN (normalement pas besoin de changer cela)", 'photo_shop_paypal_ipn_notify_url', 0),
  array("URL de retour PayPal, laissez vide si vous ne voulez pas utiliser l'URL de retour vers votre site (normalement pas besoin de changer cela)", 'photo_shop_paypal_return_url', 0),
  array("URL d'annulation PayPal, laissez vide si vous ne voulez pas utiliser l'URL d'annulation vers votre site (normalement pas besoin de changer cela)", 'photo_shop_paypal_cancel_return_url', 0),
  'Information de virement',
  array("Activer l'affichage des informations de virements", 'photo_shop_wire_enable', 1),
  array('Numéro de routage', 'photo_shop_wire_routing', 0),
  array('Numéro de compte', 'photo_shop_wire_account', 0),
  array('Nom de la banque', 'photo_shop_wire_bank', 0),
  array('Adresse de la banque', 'photo_shop_wire_bank_address', 0),
  array('Swift', 'photo_shop_wire_swift', 0),
  'Google Checkout (support basique)',
  array('Activer Google Checkout', 'photo_shop_google_enable', 1),
  array('Devises Google Checkout à utiliser', 'photo_shop_google_currency', 0),
  array('Longueur du bouton Google Checkout', 'photo_shop_google_button_width', 0),
  array('Hauteur du bouton Google Checkout', 'photo_shop_google_button_height', 0),
  array('Style du bouton Google Checkout', 'photo_shop_google_button_style', 0),
  array('Localisation Google Checkout', 'photo_shop_google_button_loc', 0),
  array('Entrez votre identifiant google ici', 'photo_shop_google_id', 0),
  'Carte de Crédit (pas encore supporté)',
  array('Activer CC', 'photo_shop_cc_enable', 1),
);

$lang_photoshop_admin = array(
  'u_orders_on_p_pages' => '%d commandes sur %d page(s)',
  'otime_a' => 'Date par ordre croissant',
  'otime_d' => 'Date par ordre décroissant',
  'uid_a' => 'ID Utilisateur par ordre croissant',
  'uid_d' => 'ID Utilisateur par ordre décroissant',
  'oid_a' => 'ID Commande par ordre croissant',
  'oid_d' => 'ID Commande par ordre décroissant',
  'o_board_title' => 'Administration de la boutique',
  'Active' => 'Active',
  'Archive' => 'Archive',
  'OrdersIn'=> 	'Commandes dans',
  'managefolder' =>	'Gestion des dossiers',
  'orders' => 'commandes',
  'switch' => 'Basculer vers',
  'go' => 'Go',
  'Orders' => 'Commandes',
  'mark_all' => 'Cocher / décocher toutes les commandes',
  'NoOrders' => 'Pas de commandes',
  'SelectedOrders' => 'Commandes sélectionnées',
  'markarchive' => "Déplacer vers l'Archive",
  'markactive' => "Déplacer vers l'Actif",
  'delete' => 'Supprimer',
  'new' => 'Nouvelle commande',
  'viewed' => 'Commande vue',
  'processed' => 'Commande envoyée',
  'order_id' => 'ID Commande',
  'items' => 'Articles',
  'usd_total' => 'total',
  'item_price' => 'Prix total',
  'size' => 'Taille',
  'config' => 'Config',
  'mark_unviewed' => 'Marquer comme non vu',
  'mark_viewed' => 'Marquer comme vu',
  'mark_payed' => 'Marquer comme payé',
  'mark_unpayed' => 'Marquer comme non payé',
  'mark_sent' => 'Marquer comme envoyé',
  'mark_unsent' => 'Marquer comme non envoyé',
  'pos' => 'Payé / envoyé',
  'neg' => 'Non payé / Non envoyée',
  //new stuff 1.1
  'contains' => 'contenu',
  'order_s' => 'commande(s)',
  'in_total' => 'Au total, il y a',
  'orders_stored' => 'commandes enregistrées',
  'stored_orders' => 'commandes enregistrées dans ce dossier',
  'total_orders' => 'Commandes totales',
  'noitems' => "Pas d'articles",
  'volume' => 'Volume de la commande',
  'user_id' => 'ID Utilisateur',
  'sort_by' => 'Tri par',
  'amount' => 'Montant',
  'pid' => 'PID',
  'price_pi' => 'Prix par article',
  'incl_ship' => "Inclus frais d'expédition %discount",
  //1.3
  'filename' => 'Nom de fichier',
  //1.4
  'download_zip' => 'Télécharger le zip',
  );
}

if (defined('PHOTOSHOP_IPN_PHP'))
{
$lang_photoshop_ipn = array(
  'success' => 'Succès',
  'thank_you' => 'Merci de votre commande<br><br>Un email comprenant les détails sur comment télécharger les images que vous avez acquis a été envoyé, sous peu. ',
  'cancel_tit' => 'Annulé',
  'cancel' => 'La commande a été annulée.',
  'ipn_download_err_mkdir' => 'Impossible de créer le répertoire de téléchargement ! \n\n',
  'ipn_download_ok' => "Un répértoire de téléchargement, un fichier de mot-de-passe, et un index ont été créé pour l'utilisateur !",
  'ipn_download_err_noindex' => 'Impossible de créer un index pour le répertoire de téléchargement des utilisateurs ! \n\n',
  'ipn_download_err_safemode' => "Restrictions Safe Mode. Veuillez paramétrer le Mode Safe sur Off !!! La création des répertoires n'est pas possible dans l'immédiat ! \n\n ",
  'ipn_email_admin_subject' => 'Mot-de-passe pour la commande id:',
  'ipn_email_user_subject' => 'Votre mot-de-passe',
  'ipn_email_admin_ipn_success' => "PayPal IPN succès -> svp, veuillez vérifier l'administration de la boutique et envoyer les articles",
  'ipn_email_admin_ipn_download_success' => 'PayPal IPN succès',
  'ipn_email_admin_ipn_download_problem' => 'PayPal IPN succès -> problème de téléchargement',
  'ipn_email_admin_ipn_failed' => 'PayPal IPN annulation',
  'ipn_email_manipulated' => "Quelqu'un essaye une vente en manipulant l'URL\n\n",
  'ipn_email_pending' => 'Transaction en attente de confirmation. Paypal essayera à nouveau de contacter le script quand il sera prêt\n\n',
  'ipn_email_failed' => 'Transaction annulée\n\n',
  'ipn_email_denied' => 'Paiement de la transaction refusé par le vendeur\n\n',
  'ipn_email_refunded' => 'Paiement remboursé par le vendeur\n\n',
  'ipn_email_canc-rev' => 'Paiement annulé\n\n',
  'ipn_email_unknown' => 'Statut de Paiement Inconnu : ',
  'ipn_email_invalid' => 'Mauvaise Commande (PayPal informe de son invalidité): ',
  'ipn_no_order_match' => 'Aucune correspondance de commande trouvée !',
  'ipn_no_folder' => "n'existe pas ou a été supprimé ! À créer en premier [D] !",
  'ipn_no_folder_user' => "Le dossier n'existe pas ou a été supprimé ! À créer en premier [D] !",
  'ipn_continue' => 'Continue',
  'ipn_file' => 'Fichier',
  'ipn_status' => 'Statut',
  'ipn_result' => 'Résultat',
  'ipn_prep_down' => 'Prépare les téléchargements',
  'ipn_download_file' => 'Téléchargement du fichier',
  'ipn_creating_image' => "Création de l'image ...",
  'ipn_not_paid' => 'Article pas encore payé !',
  'ipn_for_print' => 'Cet article est à imprimer !',
  'ipn_download_zip' => 'Archive zip à télécharger',
  'ipn_image_create_finished' => 'Quand toutes les images ont été créées, cliquez :',
  'ipn_deleted_folder' => 'Dossier de téléchargement supprimé pour oid :',
  'ipn_deleted_folder_error' => "Le dossier n'existe ps! Il ne peut être supprimé ! Id Commande : ",
  'ipn_created_folder' => "Le répertoire de téléchargement a été créé et le mot-de-pass a été envoyé à l'utilisateur, pour l'oid :",
  'ipn_created_folder_error' => "Le répertoire existe toujours ... veuillez d'abord le supprimer ! Id Commande : ",
  'ipn_no_download_items' => "Il n'y a aucuns articles à télécharger pour cette commande  ! Id Commande : ",
  'ipn_log' => 'Journal PayPal IPN',
  'ipn_log_close_window' => 'Fermer la fenêtre',
  'ipn_button_show_log' => 'Voir le journal PayPal IPN',
  'ipn_button_create_dir' => 'Créez le répertoire de téléchargement et le courriel pour le mot-de-passe',
  'ipn_button_copy_files' => 'Copiez les fichiers dans le répertoire de téléchargement et placez-les ... le répertoire doit exister',
  'ipn_button_delete_dir' => 'Supprimez le répertoire de téléchargement',
  'ipn_error_contact_admin' => 'Erreur ! SVP, contactez votre administrateur du site !!!',
  );

$lang_photoshop_ipn_admin_mail_body  = <<<EOT

Les données suivantes ont été reçues de Paypal:
de {PAYER_EMAIL} à {DATE}
Détails :

EOT;


$lang_photoshop_htaccess = <<<EOT
AuthName        "Aire de téléchargement de données"
AuthType        Basic
AuthUserFile    {HTPASSWD_PATH}

<Limit GET POST>
require valid-user
</Limit>
EOT;

$lang_photoshop_ipn_email_user = <<<EOT
Bonjour {USER_NAME},

Votre commande a bien été réalisée, un répertoire de téléchargement vient de vous être créé.

SVP, cliquez sur le lien suivant et vos articles commandés seront copiés dans le répertoire de téléchargement. Vous pouvez accéder à ce répertoire en utilisant :
Nom d'utilisateur: {USER_NAME}
Mot-de-passe: {PASSWORD}

<a href="{LINK}">Télécharger vos articles</a>

Cordialement,
{ADMIN}
EOT;


}
?>
